QGIS Application - Feature request #1602
Superfluous entries in the Plugin menu
2009-03-29 09:18 PM - artfwo -

Status: Closed

Priority: Low

Assignee: Borys Jurgiel

Category: GUI

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 11662
Description

Every plugin in QGIS currently resides in its own submenu under "Plugins”. This is a usability problem, which might be fixed by creating
plugin "categories" and moving the appropriate plugins to these categories (like [[NorthArrow]], Scalebar and [[CopyrightLabel]] already

are).

For example: Dxf2Shp, OGR converter, SPIT, Delimited text (and even WFS) could be moved into a common submenu like "Data

Conversion". While Delimited text and WFS plugins do not convert anything, but add layers directly, there may or may not be another

group for these as well.

History

#1 - 2009-08-22 12:38 AM - Borys Jurgiel

- Status changed from Open to In Progress

#2 - 2011-12-14 03:05 PM - Alister Hood

- Pull Request or Patch supplied set to No

Also see #4069, #1734 and #4395

#3 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-04-15 10:11 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#5 - 2012-10-06 02:34 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#6 - 2013-03-16 12:46 PM - Giovanni Manghi
- Resolution set to fixed

- Status changed from In Progress to Closed

| guess that this can be closed. Is now possible to add the plugins in the proper menus, like "vector", "raster", "database", "web", etc.
